Debian Bug report logs - #419490
emacs21-nox: Emacs does not work out of the box with Unicode

version graph

Package: emacs21; Maintainer for emacs21 is (unknown);

Reported by: Charles Plessy <charles-debian-nospam@plessy.org>

Date: Mon, 16 Apr 2007 01:42:01 UTC

Severity: important

Tags: fixed-upstream

Merged with 408580

Found in version emacs21/21.4a+1-3

Done: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#419490; Package emacs21-nox. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <charles-debian-nospam@plessy.org>:
New Bug report received and forwarded. Copy sent to Rob Browning <rlb@defaultvalue.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: emacs21-nox: Emacs does not work out of the box with Unicode
Date: Mon, 16 Apr 2007 10:41:14 +0900
Package: emacs21-nox
Version: 21.4a+1-3
Severity: important

Dear maintainers,

emacs does not work out of the box with unicode. If I have no .emacs
file, typing either accentuated roman letters or chinese characters
causes display and/or input problem.

Is it possible to ship a emacs21 package in Etch r1 with a global
default configuration that enables unicode support ? I think that
unicode support is one of the release goals of Etch...

Have a nice day,

-- Charles Plessy, Wako, Saitama, Japan.


-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: powerpc (ppc64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-powerpc64
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

Versions of packages emacs21-nox depends on:
ii  emacs21-bin-common          21.4a+1-3    The GNU Emacs editor's shared, arc
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries
ii  libncurses5                 5.5-5        Shared libraries for terminal hand

emacs21-nox recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#419490; Package emacs21-nox. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <sven_joachim@web.de>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. Full text and rfc822 format available.

Message #10 received at 419490@bugs.debian.org (full text, mbox):

From: Sven Joachim <sven_joachim@web.de>
To: Charles Plessy <charles-debian-nospam@plessy.org>, 419490@bugs.debian.org
Subject: Re: Bug#419490: emacs21-nox: Emacs does not work out of the box with Unicode
Date: Sat, 05 May 2007 23:36:51 +0200
Charles Plessy writes:
> Dear maintainers,

No need to use the plural here, AFAIK there is only one Emacs
maintainer in Debian. ;-)

> emacs does not work out of the box with unicode. If I have no .emacs
> file, typing either accentuated roman letters or chinese characters
> causes display and/or input problem.

Reproducable here, I think that's because Emacs does not set up the
right keyboard encoding. Try putting

(set-keyboard-coding-system 'mule-utf-8)

into your .emacs to make it work (Emacs 22 does TRT here, by the way).
 
> Is it possible to ship a emacs21 package in Etch r1 with a global
> default configuration that enables unicode support ? I think that
> unicode support is one of the release goals of Etch...

Yes, and it was missed in many programs, see bug #237675 for a really
long outstanding problem, for instance.

Regards,

Sven



Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#419490; Package emacs21-nox. Full text and rfc822 format available.

Acknowledgement sent to charles-debian-nospam@plessy.org:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. Full text and rfc822 format available.

Message #15 received at 419490@bugs.debian.org (full text, mbox):

From: Charles Plessy <charles-debian-nospam@plessy.org>
To: Sven Joachim <sven_joachim@web.de>
Cc: 419490@bugs.debian.org
Subject: Re: Bug#419490: emacs21-nox: Emacs does not work out of the box with Unicode
Date: Sun, 6 May 2007 22:06:15 +0900
Le Sat, May 05, 2007 at 11:36:51PM +0200, Sven Joachim a écrit :
> 
> > emacs does not work out of the box with unicode. If I have no .emacs
> > file, typing either accentuated roman letters or chinese characters
> > causes display and/or input problem.
> 
> Reproducable here, I think that's because Emacs does not set up the
> right keyboard encoding. Try putting
> 
> (set-keyboard-coding-system 'mule-utf-8)

Hi Sven,

In the end, the only way I managed to input accented and oriental
characters at the same time is to use mule-ucs with the environment
variable DEB_MULEUCS_UNICODE=on and the followign .emacs:

(when (not window-system)
  (set-keyboard-coding-system locale-coding-system)
  (set-terminal-coding-system locale-coding-system)
)

If this is not disruptive, any chance to get it fixed in Etch ? I really
think that it is important that applications use unicode by default, or
at least provide a simple way to do so.

Have a nice day,

-- 
Charles Plessy
http://charles.plessy.org
Wako, Saitama, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#419490; Package emacs21-nox. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@vega.ocn.ne.jp>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. Full text and rfc822 format available.

Message #20 received at 419490@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
To: sven_joachim@web.de, 419490@bugs.debian.org
Subject: Re: Bug#419490: emacs21-nox: Emacs does not work out of the box with Unicode
Date: Mon, 07 May 2007 07:00:54 +0900 (JST)
[Message part 1 (text/plain, inline)]
On May 6, 2007 at 10:06PM +0900,
charles-debian-nospam (at plessy.org) wrote:

> In the end, the only way I managed to input accented and oriental
> characters at the same time is to use mule-ucs with the environment
> variable DEB_MULEUCS_UNICODE=on and the followign .emacs:
>
> (when (not window-system)
>   (set-keyboard-coding-system locale-coding-system)
>   (set-terminal-coding-system locale-coding-system)
> )
>
> If this is not disruptive, any chance to get it fixed in Etch ? I really
> think that it is important that applications use unicode by default, or
> at least provide a simple way to do so.

emacs21 uses mule-utf-8 by default on UTF-8 locales.  However,
emacs21 doesn't support CJK characters in Unicode.

mule-ucs provides CJK characters in Unicode for emacs21's utf-8,
but it causes troublesome, e.g. incompatible with Emacs'
encode-char/decode-char, incompatible with Emacs' mule-utf-8, so it
is disabled by default.

emacs22 will natively support CJK characters in Unicode, but it is
not yet released.  (emacs-snapshot package is downloadable at
http://emacs.orebokech.com/)

I expect this bug won't be fixed for etch, because this isn't a
critical/serious bug.

Summary:

To use Unicode on Emacs for etch,

* use emacs21 without CJK
* use emacs21 with mule-ucs which causes incompatible issue
* use emacs-snapshot rebuild from http://emacs.orebokech.com/

Thanks,
--
Tatsuya Kinoshita
[Message part 2 (application/pgp-signature, inline)]

Owner recorded as charles-vieuxbugs@plessy.org. Request was from Charles Plessy <charles-debian-nospam@plessy.org> to control@bugs.debian.org. (Wed, 30 May 2007 00:24:06 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by charles-vieuxbugs@plessy.org. Request was from Charles Plessy <charles-debian-nospam@plessy.org> to control@bugs.debian.org. (Wed, 30 May 2007 00:54:08 GMT) Full text and rfc822 format available.

Information stored:
Bug#419490; Package emacs21-nox. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #29 received at 419490-quiet@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Charles Plessy <charles-debian-nospam@plessy.org>
Cc: 419490-quiet@bugs.debian.org
Subject: Added link to Debian Wiki
Date: Sun, 02 Mar 2008 11:14:55 +0100
Hi Charles,

I just added a link to your bug report #419490 to
http://wiki.debian.org/UTF8BrokenApps, feel free to add any
information.

Cheers,
       Sven




Bug reassigned from package `emacs21-nox' to `emacs21'. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 02 Oct 2008 21:48:05 GMT) Full text and rfc822 format available.

Forcibly Merged 408580 419490. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 02 Oct 2008 21:48:06 GMT) Full text and rfc822 format available.

Bug reassigned from package `emacs21' to `emacs21'. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 02 Oct 2008 21:48:14 GMT) Full text and rfc822 format available.

Forcibly Merged 408580 419490. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 02 Oct 2008 21:48:15 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 23 Oct 2008 18:48:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Jun 2012 07:40:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:59:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.